Points
I am used to working with surveying kit which outputs a symbol at the surveyed point, but I have just been given a CAD file which has just a 'point' at each point. Apart from actually inserting a symbol at eack point, and there are several hundred of them, is there any way of inserting a symbol at every 'point' in a file. And not the route of changing the point display parameters, because that will / might have implications when the drawing is used further down the line. Thanks in advance.
Comments
-
Hi Ralph,
If you want to know of a solution using a third-party tool, here is a solution using GeoTools:
If you have many points (or text or circles) in your drawing and want to replace them with blocks, here is an easy way in Bricscad using GeoTools: Convert Points/Text/Circles to Blocks/Shapes: http://goo.gl/9NDZl
Regards
Rakesh Rao
http://rakeshrao.typepad.com0 -
You could try this:
Change E_RECFLOOR to the block name for the symbol you want to insert. Change both "1.0" to whatever scale factor you need.(defun c:update ( / selset counter obj ent ent_point)
(setq flt '((-4 . "<OR") (0 . "POINT") (-4 . "OR>")))
(if (setq selset (ssget flt))
(progn
(setq counter 0)
(while (< counter (sslength selset))
(setq obj (ssname selset counter))
(setq ent (entget obj))
(setq ent_point (cdr (assoc 10 ent)))
(command "_insert" "E_RECFLOOR" ent_point "1.0" "1.0" "0.0")
(entdel obj)
(setq counter (1+ counter))
)
)
)
)0 -
Thanks, will give it a try.
0